PUT /api/v202403/import/record/profile/{profileId}

Edits an emission record import profile

EditRecordImportProfileV202403 Permissions: Records (Create)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
profileId The identifier of the profile to edit integer (int32) Required

Request Body

RecordImportProfileEditV202403
Property Description Type
costColumnIndex The index of the column that holds the cost for a record. Required if no value is set for either the Use Or Direct/Offset column numbers Must be between 1 and 104 At least one of UseColumnIndex, CostColumnIndex, DirectOffsetColumnIndex must not be null integer (int32)
costUnitId The identifier for the cost unit to use. Required if CostColumnIndex is set Required when CostColumnIndex is set integer (int32)
createNewEntities Flag to indicate if new emission sources or suppliers should be created if they do not already exist Required boolean
dateFormat The format for the record start/end dates. It represents the regional convention for the order of day, month, and year. It is not a date format itself. Required One of ‘MM/dd/yyyy’, ‘dd/MM/yyyy’, ‘yyyy/MM/dd’ Case sensitive string
directOffsetColumnIndex The index of the column that holds direct emissions/emission offsets for a record. Required if no value is set for either the Use Or Cost column numbers Must be between 1 and 104 At least one of UseColumnIndex, CostColumnIndex, DirectOffsetColumnIndex must not be null integer (int32)
directOffsetUnitId The identifier for the direct emissions/emission offset unit to use. Required if DirectOffsetColumnIndex is set Required when DirectOffsetColumnIndex is set integer (int32)
emissionSourceCodeColumnIndex The index of the column that holds the emission source code Required Must be between 1 and 104 integer (int32)
emissionSourceNameColumnIndex The index of the column that holds the emission source name Must be between 1 and 104 Required when CreateNewEntities is set to True, case sensitive. Must be null when CreateNewEntities is set to False, case sensitive integer (int32)
emissionSourceTypeColumnIndex The index of the column that holds the emission source type Must be between 1 and 104 Required when CreateNewEntities is set to True, case sensitive. Must be null when CreateNewEntities is set to False, case sensitive integer (int32)
endDateColumnIndex The index of the column that holds the emission record end date Required Must be between 1 and 104 integer (int32)
notes Optional notes field Max length of 255 Required (defined) string
notesColumnIndex The index of the column that holds the notes for a record. This field is optional Must be between 1 and 104 Required (defined) integer (int32)
numberOfHeaderRows The number of header rows before the data begins Required Must be between 0 and 9 integer (int32)
profileCode Name of the import profile Required Must be between 0 and 64 characters string
startDateColumnIndex The index of the column that holds the emission record start date Required Must be between 1 and 104 integer (int32)
supplierColumnIndex The index of the column that holds the supplier name. This field is optional Must be between 1 and 104 Required (defined) integer (int32)
useColumnIndex The index of the column that holds the use for a record. Required if no value is set for either the Cost Or Direct/Offset column numbers Must be between 1 and 104 At least one of UseColumnIndex, CostColumnIndex, DirectOffsetColumnIndex must not be null integer (int32)
useUnitId The identifier for the use unit to use. Required if UseColumnIndex is set Required when UseColumnIndex is set integer (int32)
Example Request Body application/json
{  "costColumnIndex": 1,  "costUnitId": 1,  "createNewEntities": false,  "dateFormat": "string",  "directOffsetColumnIndex": 1,  "directOffsetUnitId": 1,  "emissionSourceCodeColumnIndex": 1,  "emissionSourceNameColumnIndex": 1,  "emissionSourceTypeColumnIndex": 1,  "endDateColumnIndex": 1,  "notes": "string",  "notesColumnIndex": 1,  "numberOfHeaderRows": 1,  "profileCode": "string",  "startDateColumnIndex": 1,  "supplierColumnIndex": 1,  "useColumnIndex": 1,  "useUnitId": 1
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

RecordImportProfileResponseV202403
Property Description Type
costColumnIndex The index of the column that holds the cost for a record integer (int32)
costUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
createNewEntities Flag to indicate if new emission sources or suppliers should be created if they do not already exist boolean
createdBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
createdDate The date and time the import profile was modified string (date-time)
dateFormat The format for the record start/end dates string
directOffsetColumnIndex The index of the column that holds direct emissions/emission offsets for a record integer (int32)
directOffsetUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
emissionSourceCodeColumnIndex The index of the column that holds the emission source code integer (int32)
emissionSourceNameColumnIndex The index of the column that holds the emission source name integer (int32)
emissionSourceTypeColumnIndex The index of the column that holds the emission source type integer (int32)
endDateColumnIndex The index of the column that holds the emission record end date integer (int32)
modifiedBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
modifiedDate The date and time the import profile was modified string (date-time)
notes Optional notes field string
notesColumnIndex The index of the column that holds the notes for a record integer (int32)
numberOfHeaderRows The number of header rows before the data begins integer (int32)
profileCode Name of the import profile string
profileId Identifier of the record import profile integer (int32)
startDateColumnIndex The index of the column that holds the emission record start date integer (int32)
supplierColumnIndex The index of the column that holds the supplier name integer (int32)
useColumnIndex The index of the column that holds the use for a record integer (int32)
useUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
Example Response application/json
{  "costColumnIndex": 1,  "costUnit": {    "unitCode": "string",    "unitId": 1,    "unitInfo": "string"
  },  "createNewEntities": false,  "createdBy": {    "fullName": "string",    "userCode": "string",    "userId": 1
  },  "createdDate": "2026-03-30",  "dateFormat": "string",  "directOffsetColumnIndex": 1,  "directOffsetUnit": {    "unitCode": "string",    "unitId": 1,    "unitInfo": "string"
  },  "emissionSourceCodeColumnIndex": 1,  "emissionSourceNameColumnIndex": 1,  "emissionSourceTypeColumnIndex": 1,  "endDateColumnIndex": 1,  "modifiedBy": {    "fullName": "string",    "userCode": "string",    "userId": 1
  },  "modifiedDate": "2026-03-30",  "notes": "string",  "notesColumnIndex": 1,  "numberOfHeaderRows": 1,  "profileCode": "string",  "profileId": 1,  "startDateColumnIndex": 1,  "supplierColumnIndex": 1,  "useColumnIndex": 1,  "useUnit": {    "unitCode": "string",    "unitId": 1,    "unitInfo": "string"
  }
}